org.springframework.web.reactive.function

## Interface BodyInserter.Context

Enclosing interface:
  BodyInserter<T,M extends org.springframework.http.ReactiveHttpOutputMessage>

    public static interface BodyInserter.Context

Defines the context used during the insertion.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Object>` `hints()` Return the map of hints to use for response body conversion.
`List<org.springframework.http.codec.HttpMessageWriter<?>>` `messageWriters()` Return the `HttpMessageWriters` to be used for response body conversion.
`Optional<org.springframework.http.server.reactive.ServerHttpRequest>` `serverRequest()` Optionally return the `ServerHttpRequest`, if present.

### Method Detail

#### messageWriters

    List<org.springframework.http.codec.HttpMessageWriter<?>> messageWriters()

Return the `HttpMessageWriters` to be used for response body conversion.

Returns:
  the stream of message writers

#### serverRequest

    Optional<org.springframework.http.server.reactive.ServerHttpRequest> serverRequest()

Optionally return the `ServerHttpRequest`, if present.

#### hints

    Map<String,Object> hints()

Return the map of hints to use for response body conversion.